{
  "name": "@tesseract-design/react-common",
  "title": "React Common",
  "org": "Tesseract Design",
  "version": "0.3.0",
  "description": "Common front-end components for Web using the Tesseract design system, written in React.",
  "directories": {
    "lib": "dist"
  },
  "main": "dist/index.js",
  "types": "dist/packages/react-common/src/index.d.ts",
  "repository": "https://code.modal.sh/tesseract-design/react-common.git",
  "author": "TheoryOfNekomata <allan.crisostomo@outlook.com>",
  "license": "MIT",
  "private": false,
  "bugs": {
    "url": "https://code.modal.sh/tesseract-design/react-common/issues"
  },
  "devDependencies": {
    "@babel/runtime": "^7.12.5",
    "@rollup/plugin-typescript": "^5.0.2",
    "@types/enzyme": "^3.10.5",
    "@types/enzyme-adapter-react-16": "^1.0.6",
    "@types/jest": "^26.0.7",
    "@types/jest-axe": "^3.5.0",
    "@types/node": "^14.0.25",
    "@types/prop-types": "^15.7.3",
    "@types/react": "^16.9.43",
    "@types/react-is": "^16.7.1",
    "@types/styled-components": "^5.1.1",
    "enzyme": "3.10.0",
    "enzyme-adapter-react-16": "1.15.1",
    "fast-check": "1.22.1",
    "jest": "^26.1.0",
    "jest-axe": "3.4.0",
    "jest-enzyme": "7.1.2",
    "jest-extended": "0.11.5",
    "plop": "2.6.0",
    "prettier": "1.19.1",
    "prop-types": "15.7.2",
    "react": "16.13.1",
    "react-dom": "16.13.1",
    "rollup": "^2.23.0",
    "rollup-plugin-peer-deps-external": "2.2.2",
    "rollup-plugin-terser": "5.3.0",
    "styled-components": "5.1.0",
    "ts-jest": "^26.1.3",
    "tslib": "^2.0.0",
    "typescript": "^3.9.7"
  },
  "scripts": {
    "prepublishOnly": "NODE_ENV=production rm -rf dist/ && rollup -c",
    "test": "jest",
    "build": "rm -rf dist/ && rollup -c",
    "generate": "plop"
  },
  "peerDependencies": {
    "prop-types": "15.7.2",
    "react": "16.13.1",
    "react-dom": "16.13.1",
    "styled-components": "5.1.0"
  },
  "dependencies": {
    "@reach/slider": "^0.10.5",
    "pascal-case": "3.1.1",
    "react-feather": "2.0.3"
  },
  "homepage": "https://make.modal.sh/tesseract/web/react/common"
}
